Subject: Re: bug#54970: 28.1; Some emoji no longer display

From: Howard Melman <[email-masked]>
Date: Sat, 16 Apr 2022 12:21:20 -0400

On Apr 16, 2022, at 12:02 PM, Alan Third <[email-masked]> wrote:
> 
> On Sat, Apr 16, 2022 at 11:27:52AM -0400, Howard Melman wrote:
>> On Apr 16, 2022, at 10:55 AM, Lars Ingebrigtsen <[email-masked]> wrote:
>>> 
>>> Lars Ingebrigtsen <[email-masked]> writes:
>>> 
>>>> I'm unable to reproduce this on Debian with emacs -Q in 28.1, so I guess
>>>> it depends on the font selection code?
>>> 
>>> But I can reproduce it on Macos.  I forget whether this is supposed to
>>> work out of the box, or whether you have to set the fontset things on
>>> Macos.  Alan probably knows; I've added him to the CCs.
>> 
>> For me in vanilla emacs -Q other emojis like 0x1f468 "MAN" and 
>> 0x1f415 "DOG" display out of the box in Apple Color Emoji.  
>> So I would think this should too.
> 
> I think it's somewhat inconsistent if you don't set the font:
> 
>    (set-fontset-font t 'symbol "Apple Color Emoji")
> 
> Please let us know if that makes any difference.

As I said in my initial report, that (or something similar) did solve it for me.

But the NEWS report said to do this:

    (set-fontset-font t 'emoji
                      '("My New Emoji Font" . "iso10646-1") nil 'prepend)

Which did not work for me, but this did:

    (set-fontset-font t 'symbol
                     '("Apple Color Emoji" . "iso10646-1") nil 'prepend)

I'm not clear about what the iso10646-1 part does or if it's needed.  
And the NEWS entry says:

    The Emoji characters are now assigned to a special script, 'emoji', so
    as to make it easier to customize fontsets for Emoji display, as in
    the above example.  (Previously, the Emoji characters were assigned to
    the 'symbol' script, together with other symbol and punctuation
    characters.)

Which reads to me as conflicting with needing to set the emoji font for 'symbol.

Howard